Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect
Class CflowMetaData

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.CflowMetaData

    public class CflowMetaData

extends Object

Holds a tuple that consists of the class info and the info for a specific method.

Author:
  Jonas Bonr , Alexandre Vasseur

Constructor Summary
`CflowMetaData(ClassInfo classMetaData, MethodInfo methodMetaData)` Creates a new ClassNameMethodInfoTuple.

Method Summary
`protected static boolean` | `areEqualsOrBothNull(Object o1, Object o2)`
`boolean` | `equals(Object o)`
`ClassInfo` | `getClassInfo()` Returns the class info.
`String` | `getClassName()` Returns the class name.
`MethodInfo` | `getMethodInfo()` Returns the method info.
`int` | `hashCode()`
`protected static int` | `hashCodeOrZeroIfNull(Object o)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CflowMetaData

    public CflowMetaData(ClassInfo classMetaData,
                         MethodInfo methodMetaData)

  Creates a new ClassNameMethodInfoTuple.

  Parameters:
    `classMetaData` - the class metaData
    `methodMetaData` - the method info

Method Detail

### getClassInfo

    public ClassInfo getClassInfo()

  Returns the class info.

  Returns:
    the class info

### getClassName

    public String getClassName()

  Returns the class name.

  Returns:
    the class name

### getMethodInfo

    public MethodInfo getMethodInfo()

  Returns the method info.

  Returns:
    the method info

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### hashCodeOrZeroIfNull

    protected static int hashCodeOrZeroIfNull(Object o)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### areEqualsOrBothNull

    protected static boolean areEqualsOrBothNull(Object o1,
                                                 Object o2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.